Package org.codehaus.groovy.control.customizers

# Interface SecureASTCustomizer.ExpressionChecker

Enclosing class:
  SecureASTCustomizer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface SecureASTCustomizer.ExpressionChecker
This interface allows the user to provide a custom expression checker if the dis/allowed expression lists are not sufficient

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAuthorized(Expression expression)`

- ## Method Details

  - ### isAuthorized

    boolean isAuthorized(Expression expression)